#!/usr/bin/perl

require 5.000 ;	# This is a perl 5.0 script

require MDL_sdf ;

#Read data from STDIN and create one object of type MDL_sdf_data_fields
my $data = MDL_sdf_data_fields->readFromInput() ; 

$data->remove_fieldName("BOILING.POINT");
$data->remove_fieldName("Formula");

#Show the content of the object $data to STDERR (useful for debugging)
$data->inspect();

#Write the data (all fields) to STDOUT
$data->write() ;

$data->removeAll();
$data->inspect();
$data->write() ;

